Skip to main content
GET
/
api
/
v1
/
campaigns
/
{id}
/
stats
Get campaign stats
curl --request GET \
  --url https://nudgen.net/api/v1/campaigns/{id}/stats \
  --header 'Authorization: Bearer <token>'
{
  "stats": {
    "totalSent": 123,
    "totalDelivered": 123,
    "totalOpens": 123,
    "totalClicks": 123,
    "ctr": 123,
    "totalFailed": 123,
    "totalSpamComplaints": 123,
    "totalHardBounces": 123,
    "totalSoftBounces": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nudgen.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal Access Token created from Settings -> API Keys.

Path Parameters

id
string
required

Query Parameters

startDate
string<date-time>
endDate
string<date-time>

Response

200 - application/json

Campaign stats

stats
object